Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util
Class Benchmark

    java.lang.Object
      net.sourceforge.pmd.util.Benchmark

    public class Benchmark

extends java.lang.Object

Field Summary
`static int` | `TYPE_COLLECT_FILES`
`static int` | `TYPE_DFA`
`static int` | `TYPE_LOAD_RULES`
`static int` | `TYPE_PARSER`
`static int` | `TYPE_REPORTING`
`static int` | `TYPE_RULE`
`static int` | `TYPE_RULE_CHAIN_RULE`
`static int` | `TYPE_RULE_CHAIN_VISIT`
`static int` | `TYPE_SYMBOL_TABLE`
`static int` | `TYPE_TOTAL_PMD`
`static int` | `TYPE_TYPE_RESOLUTION`

Constructor Summary
`Benchmark()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `mark(int type, long time, long count)`
`static void` | `mark(int type, java.lang.String name, long time, long count)`
`static java.lang.String` | `report()`
`static void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_RULE

    public static final int TYPE_RULE

See Also:
  Constant Field Values

### TYPE_RULE_CHAIN_RULE

    public static final int TYPE_RULE_CHAIN_RULE

See Also:
  Constant Field Values

### TYPE_COLLECT_FILES

    public static final int TYPE_COLLECT_FILES

See Also:
  Constant Field Values

### TYPE_LOAD_RULES

    public static final int TYPE_LOAD_RULES

See Also:
  Constant Field Values

### TYPE_PARSER

    public static final int TYPE_PARSER

See Also:
  Constant Field Values

### TYPE_SYMBOL_TABLE

    public static final int TYPE_SYMBOL_TABLE

See Also:
  Constant Field Values

### TYPE_DFA

    public static final int TYPE_DFA

See Also:
  Constant Field Values

### TYPE_TYPE_RESOLUTION

    public static final int TYPE_TYPE_RESOLUTION

See Also:
  Constant Field Values

### TYPE_RULE_CHAIN_VISIT

    public static final int TYPE_RULE_CHAIN_VISIT

See Also:
  Constant Field Values

### TYPE_REPORTING

    public static final int TYPE_REPORTING

See Also:
  Constant Field Values

### TYPE_TOTAL_PMD

    public static final int TYPE_TOTAL_PMD

See Also:
  Constant Field Values

Constructor Detail

### Benchmark

    public Benchmark()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws RuleSetNotFoundException,
                            java.io.IOException,
                            PMDException

  Throws:
    `RuleSetNotFoundException`
    `java.io.IOException`
    `PMDException`

### mark

    public static void mark(int type,
                            long time,
                            long count)

### mark

    public static void mark(int type,
                            java.lang.String name,
                            long time,
                            long count)

### reset

    public static void reset()

### report

    public static java.lang.String report()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.